/*
 
mDavar 2.0 - Simple Hebrew dictionary for J2ME
Copyright (C) 2007 Josef Planeta <freedavar@centrum.cz>
Copyright (C) 2007 Vladimir Marcenko <vladimir-2@rambler.ru>

 
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
*/


import javax.microedition.lcdui.*; 

// definice nov tdy, potomka tdy Canvas 
public class Splash extends Canvas { 

	Image 		iSplash; 
	public		final int SPLASH_WIDTH 	= 100;
	public		final int SPLASH_HEIGHT = 50;
	//rozmery progress baru
	public		final int PROGRESS_WIDTH = 100;
	public		final int PROGRESS_HEIGHT = 3;
	public		final int PROGRESS_BOTTOM = 5; //vzdalenost spodku baru od obrazovky dole

	public    	int       progress = 0;        //sirka progress baru v % (0-100)

	// v konstruktoru tdy vytvome obrzek 
	public Splash() { 
		try { 
			// pouijeme metodu createImage tdy Image 
			iSplash = Image.createImage("/splash.png"); 
			// odchycen mon vjimky 
		} 
		catch(Exception e) { 
    } 
	} 

  
  public void SetProgress(int i){
    i = (i < 0) ? 0 : i;
    i = (i > 100) ? 100 : i;
    
    progress = i;
    repaint();
  }


	public void paint(Graphics g) { 

		// nejprve nastavme barvu kreslen na blou a vyplnme display obdlnkem o maximln ce a vce 
		g.setColor(255, 255, 255); 
		g.fillRect(0, 0, getWidth(), getHeight()); 

		// vykreslme obrzek umstn uprostred displeje 
		g.drawImage(iSplash, (getWidth()-SPLASH_WIDTH)/2, (getHeight()-SPLASH_HEIGHT)/2, g.TOP | g.LEFT); 
		g.setColor(0, 0, 0);

//		g.drawString("Loading ...", 20, 20, g.BOTTOM|g.LEFT);


		g.drawRect((getWidth()-PROGRESS_WIDTH)/2 -1, 
					getHeight()-PROGRESS_HEIGHT-PROGRESS_BOTTOM, 
					PROGRESS_WIDTH +1, 
					PROGRESS_HEIGHT);
		
		g.setColor(255, 0, 192);
		g.fillRect((getWidth()-PROGRESS_WIDTH)/2 , 
					getHeight()-PROGRESS_HEIGHT-PROGRESS_BOTTOM +1, 
          //zde pouzita progress - v %
					PROGRESS_WIDTH * progress / 100, 			
					PROGRESS_HEIGHT -1 );
	} 



} 
